const {ccclass, property} = cc._decorator;

@ccclass
export default class test2 extends cc.Component {

    start () {

       let bundle = cc.assetManager.getBundle("testBundle");

        bundle.load('Sprite', cc.Prefab, (err: any, prefab: cc.Prefab)=>{
            if (err) {
                console.log("bundle.load =>", err);
                return ;
            }

            let node = cc.instantiate(prefab);
            node.parent = this.node;
        })
    }

    onClick () {
        // cc.assetManager.getBundle("testBundle").releaseAll();

        cc.assetManager.getBundle("testBundle").releaseAll();

        // cc.director.loadScene('test3');  

        cc.assetManager.loadBundle("testBundle2", (err, bun)=>{
            if (err) {
                return ;
            }

            bun.loadScene('test3' , (err, scene)=>{
                if (err){
                    return;
                }
                cc.director.runScene(scene);
            });
        });
    }
}